---
layout: project

title: "CoMMa: Corpus Meta-Mathematics"
shorttitle: CoMMa
active: true
teaser: Representing and Extracting the Meaning of Mathematical/Technical Documents
start_date: '2006'
funding: internal

people:
    - mkohlhase
    - dginev
    - jfschaefer
logo: public/kwarc_logo.svg
publist: auto
funding: internal
---

Many of the foundations of the wealth of western societies are laid down in mathematical/technical documents. Such are rich in structure and communicate complex meaning effectively and efficiently, but we do not understand the underlying knowledge structures and linguistic characteristics enough to extract the underlying meanings and represent them explicitly enough so that working with them can be supported by machines.

This leads to the [one brain barrier](/kohlhase/papers/ems13.pdf) in Science, Technology, Engineering, and Mathematics (STEM): instead of being machine-processable, mathematical/technical knowledge must always pass through a human brain for innovation, application, and education. 
In the CoMMa project, we work towards remedying this problem for Mathematics (which can serve as a test tube for STEM documents) by applying methods from

##### Meta-Mathematics

i.e. employing languages that allow to talk about the concepts, objects, and models of mathematics. We employ the [OMDoc (Open Mathematical Documents)](/systems/OMDoc/) format for representing document and knowledge structures at all levels and with flexible formality, the [MMT system](/systems/mmt) for formalizing knowledge in a foundation-independent manner ([details and discussion](http://kwarc.info/kohlhase/papers/omdoc-semantics.pdf)).

##### Corpus-Linguistics

i.e. extracting meaning-carrying structures from documents at the scale of large, representative corpora. We prepare and manage large mathematical corpora in the [arXMLiv effort](/projects/arXMLiv/) and distribute math linguistic data sets via the [SIGMathLing initiative](http://sigmathling.kwarc.info). We contribute to the infrastructure for math linguistics with the [LLaMaPUn](/systems/llamapun/) library and the [KAT](/systems/kat/) annotation tool.

